#ifndef RADIOBUTTONSELECTION_H
#define RADIOBUTTONSELECTION_H

#include <QtWidgets>
#include <QtGui>

class RadioButtonSelection : public QWidget
{
  Q_OBJECT
  private:
    QList< int > ids;
    QList< QRadioButton* > rb;
  public:
    explicit RadioButtonSelection( QWidget *parent = 0 );
    void setValues( QList< int > ids, QList< QString > btnTexts );
    int getCheckedId( void );
  signals:
    void somethingChanged( void );
    void somethingChanged( int );
  public slots:
    void somethingChangedSlot( void );
};


#endif // RADIOBUTTONSELECTION_H
